> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/add-a-bar-chart.md).

# Add a Bar Chart

We will now add a bar chart that will illustrate the "machines by type" information.

To add a chart:

1. On the main menu, click **Insert** > **Chart** > **Insert Chart** and then click in the middle of the main report area.
2. In the **Select Chart Type** dialog that opens, select the first item in the **Column** section and click **OK**.

Double click on the chart and then delete the **Details** group from the **Category Groups** section by right-clicking it and choosing **Delete Category Group.**

Now do the following:

1. Double-click the chart header and type **Summary** as the title.
2. Add the **Machine\_Name** field to the **Values** section by clicking the green plus-sign icon.
3. Add the **Machine\_Type** field to the **Series Groups** section.
4. Click on the arrow on the **Machine\_Type** row and choose **Series Group Properties**.

In the **Series Group Properties** dialog, select the **Sorting** tab and set the **Sort by** field to **\[SortingID]**. Click **OK**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/add-a-bar-chart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
